Katello - Bug #7162

capsule: synchronize command never times out/silently fails.
08/19/2014 06:06 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: dustin tsang
Category: Foreman Proxy Content
Target version: Katello 2.2.2
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1102763 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/459
5
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102763
Description of problem:
if a capsule runs into some issue that keeps syncs from completing, there is nothing to indicate this

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140528.4

How reproducible:

unsure.

Steps to Reproduce:

1. Attempt to sync sat content to a capsule. It may (or may not) help to reproduce this if you have two servers over wide
geographical locations

2. Wait

3. View results.

Actual results:
In the synchronize process... user sees really nothing, other than the progress bar never moving -- in my case at 50%.
In the pulp logs on sat server we see:

May 29 15:48:44 ibm-x3550m3-07 pulp: pulp.server.async.scheduler:ERROR: Workers '
reserved_resource_worker-23@ibm-x3550m3-07.1ab.eng.brg.redhat.com’ has gone missing, removing from list of workers
May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.qpid.consumer:ERROR: 7461b684-4048-4e72-94dd-3b82956c6fab
May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.qpid.consumer:ERROR: Traceback (most recent call last):

May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.qpid.consumer:ERROR: File
"/usr/lib/python2.6/site-packages/gofer/transport/qpid/consumer.py"”, line 113, in get

May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.gpid.consumer:ERROR:  return self.__receiver.fetch(timeout=timeout)
May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.qpid.consumer:ERROR: File "<string>", line 6, in fetch

May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.qpid.consumer:ERROR: File
"/ust/lib/python2.6/site-packages/gpid/messaging/endpoints.py”, line 1030, in fetch

May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.qpid.consumer:ERROR:  self._ecwait(lambda: self.linked)

May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.qpid.consumer:ERROR: File
"/usr/lib/python2.6/site-packages/qpid/messaging/endpoints.py”, line 50, in _ecwait

May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.qpid.consumer:ERROR:  result = self._ewait(lambda: self.closed or
predicate(), timeout)

May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.qpid.consumer:ERROR: File
"/ust/lib/python2.6/site-packages/gpid/messaging/endpoints.py”, line 994, in _ewait

May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.qpid.consumer:ERROR:  self.check_error()

May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.qpid.consumer:ERROR: File
"/ust/lib/python2.6/site-packages/gpid/messaging/endpoints.py"”, line 983, in check_error

May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.qpid.consumer:ERROR:  raise self.error
May 29 15:48:52 ibm-x3550m3-07 pulp: gofer.transport.gpid.consumer:ERROR: NotFound: no such queue: pulp.task

Expected results:

The log above may have something to do with what's causing this, but is not the main issue; rather, the issue is the synchronizer
never "gives up" or indicates an issue

Additional info:

Related issues:
Related to Katello - Bug #10009: Trying to add a repo with a missing/unrespon... Closed 04/02/2015
Related to Katello - Bug #10295: Capsule syncing should timeout if it is not ... Resolved 04/28/2015

Associated revisions

Revision f778714b - 08/27/2014 07:59 AM - Brad Buckingham

fixes #7162 / BZ 1102763 - capsule - treat task as failed if sync times out with capsule
Without this change, when an error (such as timeout) occurs attempting to
‘capsule content synchronize' an environment, the synchronize task is reported
as successful. E.g. from cli, this might look like:

hammer> capsule content synchronize --id 3 --environment-id 5

[oeeneeeeeeee et 1[100%)]

Task 6¢80df66-af10-44aa-9eca-c96992148811: success

With this change, if an error occurs that is reported back from pulp as
succeeded=false, we'll treat this as an error (because it is). In

this scenario, the cli might look like:

hammer> capsule content synchronize --id 3 --environment-id 5

[t 1[100%)]
Task 2246bfb5-131f-4171-a7¢c3-6e16e3276ddd: warning

Revision 0ded1754 - 08/27/2014 08:33 AM - Brad Buckingham
Merge pull request #4595 from bbuckingham/issue-7162
fixes #7162 / BZ 1102763 - capsule - treat task as failed if sync times times out

Revision f6405f28 - 06/08/2015 01:17 PM - dustin tsang

Fixes #7162 - timeout capsule sync task

Revision c645991f - 06/09/2015 10:00 AM - dustin tsang
Merge pull request #5278 from dustints/timeout_cap_sync
Fixes #7162 - timeout capsule sync task

Revision 3a7238da - 06/15/2015 03:02 PM - Justin Sherrill

refs #7162 - fixing capsule sync timeout

Revision 8dd55d60 - 06/15/2015 04:55 PM - Justin Sherrill
Merge pull request #5304 from jIsherrill/7162

refs #7162 - fixing capsule sync timeout

History

#1 - 08/19/2014 06:07 PM - Brad Buckingham
- Assignee set to Brad Buckingham

- Triaged changed from No to Yes

#2 - 08/20/2014 01:40 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 63

- Pull request https://github.com/Katello/katello/pull/4595 added
- Pull request deleted ()
#3 - 08/21/2014 01:47 PM - Eric Helms

- Target version changed from 63 to 55

#4 - 08/27/2014 09:01 AM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|f778714b1e934857301ec977c31ec3e9075a3c4a.

#5 - 09/15/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13

#6 - 04/02/2015 11:16 AM - Steve Loranz

- Related to Bug #10009: Trying to add a repo with a missing/unresponsive capsule hangs indefinitely/for a very long time. added

#7 - 04/02/2015 11:37 AM - Steve Loranz

- Status changed from Closed to Assigned

- Assignee changed from Brad Buckingham to Steve Loranz
- Target version changed from 55 to 69

- % Done changed from 100 to 30

- translation missing: en.field_release changed from 13 to 23

The fix failed acceptance testing and was reopened.

#8 - 04/08/2015 10:00 AM - Eric Helms
- Target version deleted (69)

#9 - 05/04/2015 02:36 PM - Eric Helms

- translation missing: en.field_release changed from 23 to 51

#10 - 05/15/2015 11:31 AM - Eric Helms

- Related to Bug #10295: Capsule syncing should timeout if it is not picked up within a certain amount of time added

#11 - 05/15/2015 11:31 AM - Eric Helms

- translation missing: en.field_release changed from 51 to 55

#12 - 06/06/2015 11:38 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing

#13 - 06/09/2015 10:02 AM - dustin tsang
- Status changed from Ready For Testing to Closed
- % Done changed from 30 to 100

Applied in changeset katello|f6405f285efe6¢c40622ee1aabebc2c3d7307f4ba.

#14 - 06/09/2015 10:56 AM - Eric Helms

- Assignee changed from Steve Loranz to dustin tsang

#15 - 06/09/2015 11:43 AM - dustin tsang

new pull request to ensure that the task times out based on configurations (default 12hrs)
https:/github.com/Katello/katello/pull/5278

05/18/2024

3/3


https://projects.theforeman.org/projects/katello/repository/katello/revisions/f778714b1e934857301ec977c31ec3e9075a3c4a
https://projects.theforeman.org/projects/katello/repository/katello/revisions/f6405f285efe6c40622ee1aa6ebc2c3d7307f4ba
https://github.com/Katello/katello/pull/5278
http://www.tcpdf.org

